Bug 847914 - distro import does not recognise CentOS .treeinfo files
distro import does not recognise CentOS .treeinfo files
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
All All
unspecified Severity low (vote)
: 0.9.4
: ---
Assigned To: James de Vries
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 21:52 EDT by James de Vries
Modified: 2014-07-24 23:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 19:50:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James de Vries 2012-08-13 21:52:46 EDT
Description of problem:
Distro import does not recognise CentOS .treeinfo files as valid importers

How reproducible:
Always

Steps to Reproduce:
1. beaker-import http://mirror.centos.org/centos/5/os/x86_64/ (or other valid URL containing a CentOS .treeinfo file
  
Actual results:
beaker-import does not find a valid importer at the URL

Expected results:
beaker-import should recognise the file and proceed to import the distro

Additional info:
None
Comment 2 Dan Callaghan 2012-10-02 00:25:58 EDT
Verified in my local development environment.

[root@lab ~]# beaker-import http://mirror.centos.org/centos/6.3/os/x86_64/
Importing: http://mirror.centos.org/centos/6.3/os/x86_64/
CentOS-6.3 added to beaker.
[root@lab ~]# beaker-import http://mirror.centos.org/centos/6.3/os/i386/
Importing: http://mirror.centos.org/centos/6.3/os/i386/
CentOS-6.3 added to beaker.
Comment 3 Dan Callaghan 2012-10-11 19:50:01 EDT
Beaker 0.9.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.